* {box-sizing: border-box;
}

body {
    font-family:sans-serif;
    font-size: 16px;
    margin: 0;
}

header {
    padding: 15px;
    background-color: #05386b;
    border: 2.5px solid black;
    height: 185px;
}
h1 {
    max-width: 50%;
    min-width: 380px;
    font-size: 300%;
    border: 2.5px solid black;
    background-color: #557a95;
    padding: 15px;
}

nav {
    background-color: #557a95;
    display: flex;
    justify-content: end;
    border: 0 2.5px solid black;
}

nav a {
    font-size: 135%;
    color: aliceblue;
    padding: 14px 20px;
}

main {
    display: flex;
}
/* I want to make the h2 headers in the main section act as links to the deployed projects. */
h2 {
    font-size: 250%;
    text-decoration: underline;
    background-color: #7395ae;
    padding: 10px;
    margin: 0;
    border: 2.5px solid black;
}

h3 {
    font-size: 150%;
    max-width: 55%;
    background-color: #97caef;
    border: 2px solid #05386b;
}

side-bar {
    flex: 30%;
    flex-wrap: wrap;
    background-color: aliceblue;
    padding: 15px;
}

section {
    flex: 70%;
    background-color: aliceblue;
    padding: 15px;
}

ul {
    font-size: 75%;
    line-height: 2.5;
    border: 2px solid black;
}

p {
    border: 2px solid black;
    padding: 25px;
}

footer {
    background-color: #05386b;
    border: 2.5px solid black;
    height: 100px;
}
/* My profile-pic is looking a little sorry. Ill need to re-do or doctor this one up.*/
.profile-pic {
    background-color: #05386b;
    width: 100%;
    height: 300px;
    padding: 15px 15px 20px 20px;
    border: 1px solid black;
}

.wk-sample-image {
    background-color: #05386b;
    width: 80%;
    padding: 15px;
    height: 500px;
    border: 2.5px solid black;
}
/*Since at this point I don't have much of my own work, I used my pre-work studyt guide as a demo of what I would like to implement. */
.bootcamp-prework-screenshot {
    background-color: #05386b;
    width: 100%;
    height: 600px;
    border: 2.5px solid black;
    padding: 20px;
}
/* A resume will be added shortly after soome revisions are made.*/
.resume-screenshot {
    padding: 15px;
    background-color: #05386b;
    width: 100%;
    height: 500px;
    border: 2.5px solid black;
}

nav a:hover {
    color: yellow;
}
/* A set of media queries were added in order to give the layout of the page a resposive design. */
@media screen and (max-width: 768px) {
    main,
    nav {
      flex-direction: column;
    }

    .bio-sections {
      order: 2;
    }
    .section{
        order: 3;
    }
}